/**
 * @see https://umijs.org/zh-CN/plugins/plugin-access
 * */
export default function access(initialState: { currentUser?: API.CurrentUser } | undefined) {
  const { currentUser } = initialState ?? {};
  let hasRoutes: string[] = [];
  if (currentUser) {
    switch (currentUser.role) {
      case 'USER_ROLE_ADMIN': // 超管
        hasRoutes = ['task', 'my-task', 'opus', 'income', 'download'];
        break;
      case 'USER_ROLE_MEMBER': // 成员
        hasRoutes = ['my-task', 'opus', 'download'];
        break;
      case 'USER_ROLE_USER': // 用户
        hasRoutes = ['task', 'income'];
        break;
    }
  }
  return {
    canAdmin: (route: { name: string }) => hasRoutes.includes(route.name),
  };
}
