import { history, useModel } from '@umijs/max';
import { Button, Result } from 'antd';
import React from 'react';

const NoFoundPage: React.FC = () => {
  const { initialState } = useModel('@@initialState');

  return (
    <Result
      status="404"
      title="404"
      subTitle="Sorry, the page you visited does not exist."
      extra={
        <Button
          type="primary"
          onClick={() => {
            // 判断不同角色登录成功跳到哪里
            if (initialState?.currentUser?.role && localStorage.getItem('Admin-Token')) {
              const urlParams = new URL(window.location.href).searchParams;
              let defaultPath = '/task';
              if (initialState.currentUser.role === 'USER_ROLE_MEMBER') {
                defaultPath = '/myTask';
              }
              history.push(defaultPath);
            } else {
              history.push('/');
            }
          }}
        >
          Back Home
        </Button>
      }
    />
  );
};

export default NoFoundPage;
