import { request } from '@umijs/max';
import config from '../config';

/**
 * 个人中心获取用户信息
 * @param options
 * @returns
 */
export async function getCenterUserInfoApi(options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/login/user/info', {
    method: 'GET',
    ...(options || {}),
  });
}

/**
 * 设置头像昵称
 * @param data
 * @param options
 * @returns
 */
export async function setUserInfoApi(data: TASKAPI.SetUserInfo, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/login/user/update', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}
